[![npm](https://img.shields.io/npm/v/@highlight-ui/color-picker)](https://www.npmjs.com/package/@highlight-ui/color-picker)
[![personio.design](https://img.shields.io/static/v1?label=Personio&message=zeroheight&color=yellow)](https://www.personio.design/40d648a47/v/0/p/52dd2c-circular-progress/b/55788f)
[![storybook.personio.design](https://img.shields.io/static/v1?label=Personio&message=storybook&color=red)](https://storybook.personio.design/?path=/story/forms-and-input-colorpicker--default-story)

# @highlight-ui/color-picker

## Installation

Using npm:

```bash
npm install @highlight-ui/color-picker
```

Using yarn:

```bash
yarn add @highlight-ui/color-picker
```

Using pnpm:

```bash
pnpm install @highlight-ui/color-picker
```

In your (S)CSS file:

```scss
@import url('@highlight-ui/color-picker');
```

Once the package is installed, you can import the library:

```ts
import { ColorPicker } from '@highlight-ui/color-picker';
```

## Usage

```tsx
import React, { useState } from 'react';
import { ColorPicker } from '@highlight-ui/color-picker';

export default function ColorPickerExample() {
  return (
    <ColorPicker
      title="Pick a color"
      closeOnSelect
      palette="main"
      onChange={callback(action('Selected a color'), '(_: string) => void')}
    />
  );
}
```

## Props 📜

| Prop            | Type                  | Required | Default | Description                                                       |
| :-------------- | :-------------------- | :------- | :------ | :---------------------------------------------------------------- |
| `title`         | `string`              | Yes      |         | Sets the title text on the color picker                           |
| `palette`       | `'main', 'pastel`     | No       | `main`  | Sets the selectable color palette                                 |
| `initialColor`  | `string`              | No       |         | Sets the "selected" color on the button                           |
| `closeOnSelect` | `boolean`             | No       | `false` | If true, closes picker when a color is selected                   |
| `disabled`      | `boolean`             | No       | `false` | Sets a disabled state on the button                               |
| `onChange`      | `(_: string) => void` | No       |         | Callback fired once a color is selected, parameter is a hex value |

## Contributing 🖌️

Please visit [personio.design](https://www.personio.design/40d648a47/v/0/p/14c9cf-color-picker/b/26fe12) for usage guidelines and visual examples.

If you're interested in contributing, please visit our [contribution page](https://www.personio.design/40d648a47/v/0/p/138faf-about-the-process).
